### Function

# Gcr Pkcs11Certificate new_from_uri_async

#### Declaration [src]

    void
    gcr_pkcs11_certificate_new_from_uri_async (
      const gchar* pkcs11_uri,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Lookup a certificate in the PKCS#11 storage by the given URI.

When the operation is finished, callback will be called. You can then call `gcr_pkcs11_certificate_new_from_uri_finish()` to get the result of the operation.

This function completes asynchronously. Use `gcr_pkcs11_certificate_new_from_uri_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`pkcs11_uri`

  Type: `const gchar*`

  A A PKCS #11 URI.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the operation completes.

`user_data`

  Type: `gpointer`

  The data to pass to callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the function.